﻿namespace WindowsFormsApplication2
{
	using System;
	using System.Diagnostics;
	using System.Windows.Forms;

	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
		}

		private void buttonRunScript_Click(object sender, EventArgs e)
		{
			using(var interpreter = new Interpreter())
			{
				var a = interpreter.RunVB(scriptTextBox.Text.Trim());
				var b = interpreter.RunJS(textBox1.Text.Trim());
				MessageBox.Show(string.Format(@"VB: {0} ms{2}JS: {1} ms", a, b,Environment.NewLine));
			}
		}

		private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
		{
			Process.Start(@"http://www.zeta-uploader.com");
		}
	}
}